Module felles_matriser
!	use nrtype
	integer, parameter :: dp = kind(1.d0)
	integer, parameter :: sp = kind(1.0)

  real(dp), dimension(:), allocatable ::&
       a,c,d,al,s,comp,po,&              !common/blk1/
       pold,oxplus,oxmin,a9,&            !common/blk2/
       qo,bo,x,pest,dex,kx,phi,ckx,&     !common/blk3/
	   volphi,a2,vol,b,gho,ghomin,&      !common/blk4/
	   ghoplus                           !dimensioned matrices
end module felles_matriser

